Issue 120302 - Add support for "AOO" and "Apache OpenOffice" in @since tag
Add support for "AOO" and "Apache OpenOffice" in @since tag
Status: RESOLVED FIXED
Product: Build Tools
Classification: Code
Component: autodoc
3.4.0
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Ariel Constenla-Haile
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 23:00 UTC by Ariel Constenla-Haile
Modified: 2013-07-12 12:21 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Patch to support both "AOO" and "Apache OpenOffice" (3.20 KB, patch)
2012-07-18 03:02 UTC, Ariel Constenla-Haile
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2012-07-17 23:00:30 UTC
With the change in the product name, newly created IDL documentation should not use @since OOo but @since AOO
Comment 1 Ariel Constenla-Haile 2012-07-18 03:02:24 UTC
Created attachment 78672 [details]
Patch to support both "AOO" and "Apache OpenOffice"

Adding support for "@since AOO" is rather simple, just add 

 SapiDocu_PE::CheckVersionSyntax_OOo(const String & i_versionPart1)
 {
     return      i_versionPart1 == "OOo"
-            OR  i_versionPart1 == "OpenOffice.org";
+            OR  i_versionPart1 == "AOO"
             OR  i_versionPart1 == "OpenOffice.org";
 }

in main/autodoc/source/parser_i/idoc/docu_pe2.cxx

Adding support for "@since Apache OpenOffice" is a bit of a hack, because it add processing a new token if the first one is "Apache".

With the current patch both

        @since Apache OpenOffice 3.5
        @since AOO 3.5

are supported.
Comment 2 SVN Robot 2012-07-19 22:02:06 UTC
"arielch" committed SVN revision 1363563 into trunk:
#i120302# - Add support for "AOO" and "Apache OpenOffice" in @since IDL tag
Comment 3 SVN Robot 2012-07-19 22:02:11 UTC
"arielch" committed SVN revision 1363564 into trunk:
#i120302# - Replace "@since OpenOffice.org" in IDL files
Comment 4 Ariel Constenla-Haile 2012-07-20 21:29:04 UTC
Fixed in trunk